﻿################################################################################
### description:
### fade out


from tcaxPy import *


def tcaxPy_Init():
    global _FD                                      # frame duration, in millisecond
    global _Blur
    _FD = 1000 / GetVal(val_FXFPS)
    _Blur = GetVal(val_Blur)


def tcaxPy_Fin():
    pass


time_gap = 1    # you can change this value to 0, or 2 or any other number
time_fac = 1    # you can change this value to 0, or 2 or any other number
loop = 5
offset = 10

def tcaxPy_Main(_i, _j, _n, _start, _end, _elapk, _k, _x, _y, _a, _txt):
    ASS_BUF  = []        # used for saving ASS FX lines
    TCAS_BUF = []        # used for saving TCAS FX raw data

    duration = 10 * _FD                                                                        # effect duration, in millisecond
    ts = _end - (_n - _j - 1) * time_fac * _FD / 10 + time_gap * _FD / 10                     # start time, in semi-second
    te = _end - (_n - _j - 1) * time_fac * _FD / 10 + time_gap * _FD / 10 + duration / 10    # end time, in semi-second

    for i in range(loop):
        EFT0 = fad(0, duration) + bord(0) + shad(0) + t(blur(5))
        EFT = mov(_x, _y,_x+i*offset,_y) + EFT0
        if _Blur > 0:
            EFT += blur(_Blur)
        ass_main(ASS_BUF, SubL(ts, te), EFT, _txt)   
        
        EFT = mov(_x, _y,_x-i*offset,_y) + EFT0
        if _Blur > 0:
            EFT += blur(_Blur)
        ass_main(ASS_BUF, SubL(ts, te), EFT, _txt)   
        
        EFT = mov(_x, _y,_x,_y+i*offset) + EFT0
        if _Blur > 0:
            EFT += blur(_Blur)
        ass_main(ASS_BUF, SubL(ts, te), EFT, _txt)   
        
        EFT = mov(_x, _y,_x,_y-i*offset) + EFT0
        if _Blur > 0:
            EFT += blur(_Blur)
        ass_main(ASS_BUF, SubL(ts, te), EFT, _txt)   

    return (ASS_BUF, TCAS_BUF)



